import { Container, Nav, Navbar } from "react-bootstrap";
import { useTranslation } from "react-i18next";
import { Outlet, useLocation, NavLink } from "react-router-dom";
import { Helmet } from "react-helmet-async";

function StaffLayout() {
	const { t } = useTranslation();
	const {pathname} = useLocation();
	return (
		<div className="h-100 w-100">
			<Helmet>
				<title>{t(`routes.${pathname}`)}</title>
			</Helmet>
			<Navbar sticky="top" className="bg-secondary" variant="dark" expand="lg">
				<Container>
					<Navbar.Brand className="fw-bold" style={{minWidth: "200px"}}>{t(`routes.${pathname}`)}</Navbar.Brand>
					<Navbar.Toggle />
					<Navbar.Collapse>
						<Nav className="mr-auto d-flex justify-content-between w-100">
							<div className="d-flex">
								<Nav activeKey={pathname}>
								<Nav.Link as={NavLink} to="/staff/overview">{t("staffNav.buttonBoatOverview")}</Nav.Link>
								<Nav.Link as={NavLink} to="/staff/manage">{t("staffNav.buttonManageBoats")}</Nav.Link>
								<Nav.Link as={NavLink} to="/staff/boattypes">{t("staffNav.buttonBoatTypes")}</Nav.Link>
								<Nav.Link as={NavLink} to="/staff/sports">{t("staffNav.buttonSports")}</Nav.Link>
								<Nav.Link as={NavLink} to="/staff/statistics">{t("staffNav.buttonStatistics")}</Nav.Link>
								</Nav>
							</div>
							<div>
								<Nav.Link>{t("staffNav.buttonLogout")}</Nav.Link>

							</div>
						</Nav>
					</Navbar.Collapse>
				</Container>
			</Navbar>
			<Outlet />
		</div>
	);
}

export default StaffLayout;
